/*
 * Audio / Video metadata functions.
 *
 * Copyright (C) 2009 W. Michael Petullo <mike@flyn.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __AV_META
#define __AV_META

#include <glib.h>
#include <gst/gst.h>

#include "dmapd-daap-record.h"

gboolean dmapd_av_metadata_read (DmapdDAAPRecord *record, const gchar *path);

GOptionGroup *dmapd_av_metadata_get_option_group (void);

#endif /* __AV_META */

G_END_DECLS
